#!/bin/bash
#%stage: boot
#%depends: start
#%modules: hv_storvsc hv_netvsc iscsi_ibft e1000 e1000e virtio_net virtio_blk virtio_scsi

# Load kernel modules
load_modules

# Enable iSCSI boot if iBFT if present
if [ -e /sys/firmware/ibft ] ; then

    # Enable mounting iBFT targets
    echo "Detected iBFT: enabling iSCSI root"
    ibft_available=1
    root_iscsi=1

    # Enable multipath if applicable
    if [ -e /sys/firmware/ibft/target1 ] ; then
	root_mpath=1
    fi

    # Enable DHCP on iBFT NIC.  Note that we use a dummy interface
    # name "ibftnic", since the iBFT device link points to a PCI
    # device and may not correspond to the network device.  (For
    # example: in Hyper-V the NIC is simply not a PCI device.)
    #
    if [ -e /sys/firmware/ibft/ethernet0/mac ] ; then
	read ibftmac < /sys/firmware/ibft/ethernet0/mac
	echo "Detected iBFT MAC: enabling DHCP on $ibftmac"
	dhcp_macaddresses="$dhcp_macaddresses ibftnic:$ibftmac"
    fi

fi
