#!/bin/bash

mode=$1

source /opt/velostrata/velostrata-functions

# Enable ttyS0 on SUSE, omit for SUSE11-SP4 (see HA-5450 for more details)
ver=$(get_suse_version)
sp=$(get_suse_sp)
if [[ "${mode}" == "detach" ]] || [[ "${ver}" != "11" ]] || [[ "${sp}" != "4" ]] ; then
	/opt/velostrata/configure-cmdline --remove console=tty0 --remove console=ttyS0,115200n8 --ignore-missing /etc/sysconfig/bootloader /boot/grub/menu.lst /boot/grub2/grub.cfg /etc/default/grub /boot/efi/EFI/opensuse/grub.cfg /boot/efi/EFI/sles/grub.cfg
	/opt/velostrata/configure-cmdline --add console=tty0 --add console=ttyS0,115200n8 --ignore-missing /etc/sysconfig/bootloader /boot/grub/menu.lst /boot/grub2/grub.cfg /etc/default/grub /boot/efi/EFI/opensuse/grub.cfg /boot/efi/EFI/sles/grub.cfg
fi

# SUSE11 has simplified handling for DHCP config during SAN boot which causes hostname
# to be set based on DHCP despite configuration in /etc/sysconfig (see bug HA-4822 for more details)
# Perform explicit handling of DHCLIENT_SET_HOSTNAME configuration
if [ -r /etc/sysconfig/network/dhcp ] ; then
	. /etc/sysconfig/network/dhcp
fi

if [ -r /etc/sysconfig/network/ifcfg-eth0 ] ; then
	. /etc/sysconfig/network/ifcfg-eth0
fi

[ -e /sys/firmware/ibft ] && [ -r /etc/HOSTNAME ] && [ "$DHCLIENT_SET_HOSTNAME" = "no" ] && {
export HOSTNAME=`cat /etc/HOSTNAME`
if [ ! -z "$HOSTNAME" ]; then
	logger "Setting hostname to: $HOSTNAME"
	hostname -F/etc/HOSTNAME
fi
}
