#!/bin/bash

source /opt/velostrata/velostrata-functions

# Disable any iSCSI swap disks
#
while read blkdev rest ; do
	if [ -b $blkdev ] ; then
	if is_iscsi $blkdev ; then
		velos_log "Disabling swap on iSCSI $blkdev"
		swapoff $blkdev
	fi
	fi
done < <(tail -n +2 /proc/swaps)

# Activate any inactive, non-iSCSI swap disks
#
while read blkdev ; do
	if ! is_swapping $blkdev ; then
	if ! is_iscsi $blkdev ; then
		velos_log "Enabling swap on $blkdev"
		swapon -f $blkdev
	fi
	fi
done < <(blkid -c /dev/null -o device -t TYPE=swap)
