#!/bin/bash

source /opt/velostrata/velostrata-functions

# Add the "_netdev" mount option to all iSCSI-backed block devices.
# This option is checked by RHEL6's /etc/init.d/iscsid and
# /etc/init.d/network to determine whether or not the root filesystem
# is on iSCSI.
#
while read blkdev mntpnt fstype mntopts rest ; do
    if [ -b $blkdev ] ; then
	if is_iscsi $blkdev ; then
	    mntopts="$mntopts,_netdev"
	    echo "Remounting $blkdev on $mntpnt as $mntopts"
	    mount -o remount,$mntopts $blkdev $mntpnt
	fi
    fi
done < /proc/mounts

# RHEL7 - generate dependencies for volumes that were mounted late
if [ -f /run/velostrata/system-generators/normal-dir ] ; then
	/lib/systemd/system-generators/velostrata-generator $(cat /run/velostrata/system-generators/normal-dir)
fi
