#!/bin/bash

source /opt/velostrata/velostrata-functions


# Run fstrim on all iSCSI-backed block devices. Might want to explore the -m option for speed ups on fragmented drives. 
#
while read mntsrc mntpnt fstype mntopts rest ; do
	blkdev=`resolve_mp_dev "$mntsrc"`
	if [ -b $blkdev ] ; then
		if is_iscsi $blkdev ; then
			velos_log_syslog "Running fstrim on $blkdev on $mntpnt"
			fstrim -v $mntpnt
			velos_log_syslog "Finished running on $blkdev on $mntpnt"
		fi
	fi
done < /proc/mounts